id: pcloud-phish

info:
  name: pcloud phishing Detection
  author: rxerium
  severity: info
  description: |
    A pcloud phishing website was detected
  reference:
    - https://pcloud.com
  metadata:
    max-request: 1
  tags: phishing,pcloud,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - "pCloud - Europe's Most Secure Cloud Storage"

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"pcloud.com")'
# digest: 4a0a0047304502204811180e7a88af6bc29fb3e37b1fa464b31ef1bf5c3b451207d38412af25aea6022100fe05c709f21abf63fd95ea1af6cae51f4343c9599943a3e33259ffaa94202cdc:922c64590222798bb761d5b6d8e72950